commit:     fdc6097881bc8f0b7c25de404005c1bfede4d484
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun May  2 23:56:34 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon May  3 15:36:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdc60978

media-libs/speexdsp: 1.2.0 version bump

Thanks-to: orbea <orbea <AT> riseup.net>
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/speexdsp/Manifest                       |  1 +
 .../speexdsp/files/speexdsp-1.2.0-configure.patch  | 41 ++++++++++++++++
 media-libs/speexdsp/speexdsp-1.2.0.ebuild          | 57 ++++++++++++++++++++++
 3 files changed, 99 insertions(+)

diff --git a/media-libs/speexdsp/Manifest b/media-libs/speexdsp/Manifest
index b6203f7a335..dc23d895ce6 100644
--- a/media-libs/speexdsp/Manifest
+++ b/media-libs/speexdsp/Manifest
@@ -1 +1,2 @@
+DIST speexdsp-1.2.0.tar.gz 919621 BLAKE2B 
70c7d07f4b23abbb70cfb212a6541288c71f57fffd5fe22ddd94901a7d01fa403a69b7884e3a4a2267ffd45a7e053b1ae7c7fd662e57053a06d4a7efb7889610
 SHA512 
e357cd5377415ea66c862302c7cf8bf6a10063cacd903f0846478975b87974cf5bdf00e2c6759d8f4f453c4c869cf284e9dc948a84a83d7b2ab96bd5405c05ec
 DIST speexdsp-1.2rc3.tar.gz 901771 BLAKE2B 
85d047df82fc06906598da39ae653aa245c246bfea75c02d25f7811983babdab6a8499c9b563e0d7d2145fa490674df2cf0a05989884ffb3c2c2a183415ce841
 SHA512 
29dfa8345df025eeb076561648a9b5c0485692be699b6da3c2a3734b4329187a1c2eb181252f4df12b21f1309ecdf59797437dfb123d160fd723491ab216e858

diff --git a/media-libs/speexdsp/files/speexdsp-1.2.0-configure.patch 
b/media-libs/speexdsp/files/speexdsp-1.2.0-configure.patch
new file mode 100644
index 00000000000..1983e4bff3b
--- /dev/null
+++ b/media-libs/speexdsp/files/speexdsp-1.2.0-configure.patch
@@ -0,0 +1,41 @@
+--- speexdsp-1.2.0/configure.ac
++++ speexdsp-1.2.0/configure.ac
+@@ -152,9 +152,17 @@
+ if test "x$enableval" != xno; then
+ has_sse=yes
+ has_sse2=yes
+-CFLAGS="$CFLAGS -O3 -msse -msse2"
++CFLAGS="$CFLAGS -msse"
+ else
+ has_sse=no
++fi
++])
++
++AC_ARG_ENABLE(sse2, [  --enable-sse2           Enable SSE2 support], [
++if test "x$enableval" != xno; then
++has_sse2=yes
++CFLAGS="$CFLAGS -msse2"
++else
+ has_sse2=no
+ fi
+ ])
+@@ -163,7 +171,7 @@
+ if test "x$enableval" != xno; then
+ has_neon=yes
+ AS_CASE(["$host"],
+-  [arm*], [CFLAGS="$CFLAGS -O3 -march=armv7-a -mfpu=neon"]
++  [arm*], [CFLAGS="$CFLAGS -mfpu=neon"]
+ )
+ else
+ has_neon=no
+--- speexdsp-1.2.0/libspeexdsp/Makefile.am
++++ speexdsp-1.2.0/libspeexdsp/Makefile.am
+@@ -29,7 +29,7 @@
+       pseudofloat.h smallft.h vorbis_psy.h resample_sse.h resample_neon.h
+ 
+ libspeexdsp_la_LDFLAGS = -no-undefined -version-info 
@SPEEXDSP_LT_CURRENT@:@SPEEXDSP_LT_REVISION@:@SPEEXDSP_LT_AGE@
+-libspeexdsp_la_LIBADD = $(LIBM)
++libspeexdsp_la_LIBADD = $(LIBM) $(FFT_LIBS)
+ 
+ if BUILD_EXAMPLES
+ noinst_PROGRAMS = testdenoise testecho testjitter testresample testresample2

diff --git a/media-libs/speexdsp/speexdsp-1.2.0.ebuild 
b/media-libs/speexdsp/speexdsp-1.2.0.ebuild
new file mode 100644
index 00000000000..9a9d4e43273
--- /dev/null
+++ b/media-libs/speexdsp/speexdsp-1.2.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic multilib-minimal
+
+MY_P=${P/_}
+MY_P=${MY_P/_p/.}
+
+DESCRIPTION="Audio compression format designed for speech -- DSP"
+HOMEPAGE="https://www.speex.org/";
+SRC_URI="https://downloads.xiph.org/releases/speex/${MY_P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
+IUSE="cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_arm_neon"
+
+RDEPEND="!<media-libs/speex-1.2.0"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-configure.patch
+)
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e 's:noinst_PROGRAMS:check_PROGRAMS:' \
+               libspeexdsp/Makefile.am || die
+
+       eautoreconf
+
+       append-lfs-flags
+}
+
+multilib_src_configure() {
+       # Can also be configured with one of:
+       # --enable-fixed-point             (no floating point)
+       # --with-fft=proprietary-intel-mkl (mkl)
+       # --with-fft=gpl-fftw3             (fftw)
+       ECONF_SOURCE="${S}" econf \
+               --disable-static \
+               $(use_enable cpu_flags_x86_sse sse) \
+               $(use_enable cpu_flags_x86_sse2 sse2) \
+               $(use_enable cpu_flags_arm_neon neon)
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}" -name '*.la' -type f -delete || die
+}

Reply via email to